import request from '@/utils/request'

export function list(data) {
    return request({
        url: '/system-boot/dictType/list',
        method: 'post',
        data: data
    })
}
export function updateType(data) {
    return request({
        url: '/system-boot/dictType/update',
        method: 'post',
        data: data
    })
} 
export function add(data) {
    return request({
        url: '/system-boot/dictType/add',
        method: 'post',
        data: data
    })
}

export function addData(data) {
    return request({
        url: '/system-boot/dictData/add',
        method: 'post',
        data: data
    })
}
export function deleteType(data) {
    return request({
        url: '/system-boot/dictType/delete',
        method: 'post',
        data: data
    })
}
export function updateData(data) {
    return request({
        url: '/system-boot/dictData/update',
        method: 'post',
        data: data
    })
}

export function deleteData(data) {
    return request({
        url: '/system-boot/dictData/delete',
        method: 'post',
        data: data
    })
}
export function getTypeIdData(data) {
    return request({
        url: '/system-boot/dictData/getTypeIdData',
        method: 'post',
        data: data
    })
}
export function getSysConfig() {
    return request({
        url: '/system-boot/config/getSysConfig',
        method: 'get',
    })
}
export function getDicTree() {
    return request({
        url: '/system-boot/dictTree/queryTree',
        method: 'get',
    })
}
export function getDicTreeAdd(data) {
    return request({
        url: '/system-boot/dictTree/add',
        method: 'post',
        data: data
    })
}
export function getDicTreeUpdate(data) {
    return request({
        url: '/system-boot/dictTree/update',
        method: 'put',
        data: data
    })
}
export function getDicTreeDelete(data) {
    return request({
        url: '/system-boot/dictTree/delete',
        method: 'delete',
        params: data
    })
}